Name:          mda-lv2
Version:       1.2.4
Release:       %mkrel 2
Summary:       LV2 port of the MDA effects and synths
Group:         Sound/Midi
License:       GPLv3
URL:           https://drobilla.net/software/mda-lv2
Source0:       http://download.drobilla.net/mda-lv2-%{version}.tar.bz2

BuildRequires: pkgconfig(lv2)
BuildRequires: waf

%description
DA-LV2 is an LV2 port of the well-known VST MDA plugins by Paul Kellett. 
It contains 36 high-quality effects and instruments, with one of
the greatest virtual pianos among them.
The full documentation of the original VST's is here:
http://mda.smartelectronix.com/vst/help/index.htm

%prep
%setup -q

# let wscript(s) find the custom waf scripts
mkdir -pv tools
touch __init__.py
cp -v waflib/extras/{autoship,autowaf,lv2}.py tools/
mkdir -pv plugins/tools/
cp -v waflib/extras/{autoship,autowaf,lv2}.py plugins/tools/
rm -rv waflib
sed -e 's/waflib.extras/tools/g' \
    -e "s/load('autowaf'/load('autowaf', tooldir='tools'/g" \
    -e "s/load('lv2'/load('lv2', tooldir='tools'/g" \
    -i wscript

%build
%waf
%waf_build -vv

%install
%waf_install

%files
%{_libdir}/lv2/*


%changelog
* Sun Jul 05 2020 daviddavid <daviddavid> 1.2.4-2.mga8
+ Revision: 1602293
- compile with system waf (from archlinux)

* Sun Feb 23 2020 daviddavid <daviddavid> 1.2.4-1.mga8
+ Revision: 1549669
- new version: 1.2.4
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-3.mga7
+ Revision: 1299505
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 semiletov <semiletov> 1.2.2-2.mga7
+ Revision: 1197608
- the link to the online manual has been added

* Sun Jan 28 2018 semiletov <semiletov> 1.2.2-1.mga7
+ Revision: 1197596
- imported package mda-lv2

